Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.sp
Class SpProvider

    java.lang.Object
      |
      +--oracle.soap.providers.JavaProvider
            |
            +--oracle.soap.providers.sp.SpProvider

All Implemented Interfaces:
  Provider

public class SpProvider
extends JavaProvider

`SpProvider` is a SOAP service provider for * services that are implemented as stored procedures (PL/SQL procedures and functions) in an Oracle database..

The provider inherits the invocation functionality, as is, from the Java provider. It overrides the initialization and termination functions to manage connections to the underlying database.

This provider is thread-safe.

Constructor Summary
`SpProvider()` Construct a new provider.

Method Summary
`void` | `destroy()` Cleanup this provider, by first invoking SP specific operations and then invoking the Java provider's cleanup.
`void` | `init(ProviderDeploymentDescriptor pd, SOAPServerContext ssc)` Initialize a new stored procedure provider, by first invoking the Java provider's initializations and then doing SP specific operations.
`static DefaultContext[]` | `registerService(java.lang.String providerName, java.lang.String serviceName)` Register a new service to be handled by this SP provider.

Methods inherited from class oracle.soap.providers.JavaProvider
`getId, getTargetObject, invoke, invokeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpProvider

    public SpProvider()

  Construct a new provider.

Method Detail

### init

    public void init(ProviderDeploymentDescriptor pd,
    SOAPServerContext ssc)
              throws SOAPException

  Initialize a new stored procedure provider, by first invoking the Java provider's initializations and then doing SP specific operations.

  The provider requires information to connect to an Oracle database, i.e. a <jdbc-url,user,password> tuple, and optionally, the number of JDBC connections per service that are required to be created and pooled.

  During initialization JDBC `DataSource`s and SQLJ default connections are created.

  Specified by:
    `init` in interface `Provider`
  Overrides:
    `init` in class `JavaProvider`
  Parameters:
    `pd` - the provider deployment descriptor for querying configuration.
    `ssc` - the SOAP server context.
  Throws:
    `SOAPException` - if an error occurs in initialization.
  See Also:
    `JavaProvider.destroy()`

### destroy

    public void destroy()
                 throws SOAPException

  Cleanup this provider, by first invoking SP specific operations and then invoking the Java provider's cleanup.

  All JDBC connections created for all services and the default SQL connection are closed.

  Specified by:
    `destroy` in interface `Provider`
  Overrides:
    `destroy` in class `JavaProvider`
  Throws:
    `SOAPException` - if an error occurs during cleanup.
  See Also:
    `JavaProvider.init(oracle.soap.server.ProviderDeploymentDescriptor, oracle.soap.server.SOAPServerContext)`

### registerService

    public static DefaultContext[] registerService(java.lang.String providerName,
                                                   java.lang.String serviceName)
                                            throws java.sql.SQLException

  Register a new service to be handled by this SP provider.

  This call is made, once per SP service, by the generated SP service wrapper code. The SP provider instance creates SQLJ `DefaultContext`s (as many as specified by the "connections_per_service" parameter) and passes them back to the service (which uses these contexts to create Java proxies for its PL/SQL package.

  Parameters:
    `providerName` - the name of the SP provider used to create the service.
    `serviceName` - the name of the SP service attempting to register.
  Returns:
    an array of initialized SQLJ `DefaultContext`s.
  Throws:
    `java.sql.SQLException` - if the JDBC/SQLJ initialization fails.
    `java.lang.RuntimeException` - if the provided arguments are invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.